
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>cmake 学习笔记(三) / iVAN</title>

    <meta name="description" content="cmake 学习笔记(三) 转自:http://blog.csdn.net/dbzhang800/article/details/6329314 接前面的 Cmake学习笔记(一) 与 Cmake学习笔记(二) 继续学习 cmake 的使用. 学习一下cmake的 finder. finder是神马东西? 当编译一个需要使用第三方库的软件时,我们需要知道: 去哪儿找头文件 .h 对比GCC的 -I 参数 去哪儿找库文件 (.so/.dll/.lib/.dylib/...) 对比GCC的 -L 参数 需要链接的库文件的名字">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">cmake 学习笔记(三)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>转自：<a href="http://blog.csdn.net/dbzhang800/article/details/6329314" rel="external nofollow noreferrer">http://blog.csdn.net/dbzhang800/article/details/6329314</a></p>
<p>接前面的 <a href="http://blog.csdn.net/dbzhang800/archive/2011/04/10/6314073.aspx" rel="external nofollow noreferrer">Cmake学习笔记(一)</a> 与 <a href="http://blog.csdn.net/dbzhang800/archive/2011/04/17/6329068.aspx" rel="external nofollow noreferrer">Cmake学习笔记(二)</a> 继续学习 cmake 的使用。</p>
<p>学习一下cmake的 finder。</p>
<h3>finder是神马东西？</h3>
<p>当编译一个需要使用第三方库的软件时，我们需要知道：</p>
<table>
<tbody>
<tr>
<td>
<br />去哪儿找头文件 .h</p>
</td>
<td>
<br />对比GCC的 -I 参数</p>
</td>
</tr>
<tr>
<td>
<br />去哪儿找库文件 (.so/.dll/.lib/.dylib/...)</p>
</td>
<td>
<br />对比GCC的 -L 参数</p>
</td>
</tr>
<tr>
<td>
<br />需要链接的库文件的名字</p>
</td>
<td>
<br />对比GCC的 -l 参数</p>
</td>
</tr>
</tbody>
</table>
<p>这也是一个 finder 需要返回的最基本的信息。</p>
<h3>如何使用?</h3>
<p>比如说，我们需要一个第三方库 curl，那么我们的 CMakeLists.txt 需要指定头文件目录，和库文件，类似：</p>
<pre>include_directiories(/usr/include)
target_link_libraries(myprogram curl)</pre>
<p>如果借助于cmake提供的finder会怎么样呢？使用cmake的Modules目录下的FindCURL.cmake，相应的 CMakeList.txt 文件：</p>
<pre>find_package(CURL REQUIRED)
include_directories(${CURL_INCLUDE_DIR})
target_link_libraries(curltest ${CURL_LIBRARY})</pre>
<p>或者</p>
<pre>find_package(CURL)
if(CURL_FOUND)
include_directories(${CURL_INCLUDE_DIR})
target_link_libraries(curltest ${CURL_LIBRARY})
else(CURL_FOUND)
message(FATAL_ERROR "curl not found!")
endif(CURL_FOUND)</pre>
<p>如果我们使用的finder，不是cmake自带的怎么办？</p>
<ul>
<li>放置位置：工程根目录下的 cmake/Modules/</li>
<li>然后在 CMakeList.txt 中添加</li>
</ul>
<pre>set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")</pre>
<h3>find_package如何工作</h3>
<p>find_package 将会在module路径下查找 Find&lt;name&gt;.cmake。首先它搜索 ${CMAKE_MODULE_PATH}中的所有路径，然后搜索 &lt;CMAKE_ROOT&gt;/share/cmake-x.y/Modules/</p>
<p>如果这个文件未找到，它将会查找 &lt;Name&gt;Config.cmake 或 &lt;lower-case-name&gt;-config.cmake 文件。这两个文件是库文件安装时自己安装的，将自己的路径硬编码到其中。</p>
<p>前者称为 module 模式，后者称为 config 模式</p>
<p>每个模块一般都会提供一下几个变量</p>
<ul>
<li>&lt;name&gt;_FOUND</li>
<li>&lt;name&gt;_INCLUDE_DIR 或 &lt;name&gt;_INCLUDES</li>
<li>&lt;name&gt;_LIBRARY 或 &lt;name&gt;_LIBRARIES 或 &lt;name&gt;_LIBS</li>
<li>&lt;name&gt;_DEFINITIONS</li>
</ul>
<h3>编写finder</h3>
<ul>
<li>首先使用 find_package 探测本软件包依赖的第三方库(参数 QUIETLY 和 REQUIRED应该被传递)</li>
<li>如果 pkg-config 可用，则可以用其去探测include/library路径</li>
<li>分别使用 find_path 和 find_library 查找头文件和库文件
<ul>
<li>pkg-config 提供的路径仅作为参考</li>
<li>CMake 有很多硬编码的路径</li>
<li>结果放到 &lt;name&gt;_INCLUDE_DIR 和 &lt;name&gt;_LIBRARY (<strong>注意：</strong>单数而不是复数)</li>
</ul>
</li>
<li>设置 &lt;name&gt;_INCLUDE_DIRS 为 &lt;name&gt;_INCLUDE_DIR &lt;dependency1&gt;_INCLUDE_DIRS ...</li>
<li>设置 &lt;name&gt;_LIBRARIES 为 &lt;name&gt;_LIBRARY &lt;dependency1&gt;_LIBRARIES ...
<ul>
<li>依赖使用复数，包自身使用单数形式（由find_path和find_library提供）</li>
</ul>
</li>
<li>调用宏 find_package_handle_standard_args() 设置 &lt;name&gt;_FOUND 并打印或失败信息</li>
</ul>
<h2>参考</h2>
<ul>
<li><a href="http://www.cmake.org/Wiki/CMake:How_To_Find_Libraries" rel="external nofollow noreferrer">http://www.cmake.org/Wiki/CMake:How_To_Find_Libraries</a></li>
<li><a href="http://www.cmake.org/cmake/help/cmake-2-8-docs.html" rel="external nofollow noreferrer">http://www.cmake.org/cmake/help/cmake-2-8-docs.html</a></li>
</ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:43:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/http/" title="http">http</a>, <a href="https://www.iamivan.net/tag/curl/" title="curl">curl</a>, <a href="https://www.iamivan.net/tag/cmake/" title="CMake">CMake</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>cmake 学习笔记(三)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlAB1Np.html" rel="bookmark">cmake学习笔记&lpar;五&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在cmake 学习笔记(三) 中简单学习了 find_package 的 model 模式,在cmake 学习笔记(四)中了解一个CMakeCache相关的东西.但靠这些知识还是不能看懂PySide使用CMakeLists文件,接下来继续学习find_package的 config 模式及package configure文件相关知识 find_package 的 config 模式 当CMakeLists.txt中使用find_package命令时,首先启用的是 module 模式: 按照 C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPW8KqM.html" rel="bookmark">cmake 学习笔记&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 Cmake学习笔记一 中通过一串小例子简单学习了cmake 的使用方式. 这次应该简单看看语法和常用的命令了. 简单的语法 注释 # 我是注释 命令语法 COMMAND(参数1 参数2 ...) 字符串列表 A;B;C # 分号分割或空格分隔的值 变量(字符串或字符串列表) set(Foo a b c) 设置变量 Foo command(${Foo}) 等价于 command(a b c) command(&quot;${Foo}&quot;) 等价于 command(&quot;a b c&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6NYdgM.html" rel="bookmark">kvm虚拟化学习笔记&lpar;三&rpar;之windows kvm虚拟机安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://koumm.blog.51cto.com/703525/1290191 KVM虚拟化学习笔记系列文章列表 ---------------------------------------- kvm虚拟化学习笔记(一)之kvm虚拟化环境安装http://koumm.blog.51cto.com/703525/1288795 kvm虚拟化学习笔记(二)之linux kvm虚拟机安装 h			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRNxnaM.html" rel="bookmark">VSTO学习笔记&lpar;三&rpar; 开发Office 2010 64位COM加载项</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:VSTO学习笔记(三) 开发Office 2010 64位COM加载项 一.加载项简介 Office提供了多种用于扩展Office应用程序功能的模式,常见的有: 1.Office 自动化程序(Automation Executables) 2.Office加载项(COM or Excel Add-In) 3.Office文档代码或模板(Code Behind an Office Document or Template) 4.Office 智能标签(Smart Tags) 本次我们将学习使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QgVWp.html" rel="bookmark">Bootstrap3学习笔记&lpar;三&rpar;之表格&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上篇文章给大家介绍了 BootStrap3学习笔记(一)之网格系统       Bootstrap3学习笔记(二)之排版 只需要在table标签上使用.table类,就可以使用bootstrap默认的表格样式 如果需要行背景有交替变化,可以这样设定: 复制代码 代码如下: &lt;table class=&quot;table table-striped&quot;&gt; 如果需要边框,可以这样设定: 复制代码 代码如下: &lt;table class=&quot;table table-borde			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNv3BxM.html" rel="bookmark">JavaScript学习笔记&lpar;三&rpar;：JavaScript也有入口Main函数&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在C和Java中,都有一个程序的入口函数或方法,即main函数或main方法.而在JavaScript中,程序是从JS源文件的头部开始运行的.但是某种意义上,我们仍然可以虚构出一个main函数来作为程序的起点,这样一来不仅可以跟其他语言统一了,而且说不定你会对JS有更深的理解. 1. 实际的入口 当把一个JavaScript文件交给JS引擎执行时,JS引擎就是从上到下逐条执行每条语句的,直到执行完所有代码. 2. 作用域链.全局作用域和全局对象 我们知道,JS中的每个函数在执行时都会产生一个新的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR1A8db.html" rel="bookmark">DB2 UDB V8&period;1管理学习笔记&lpar;三&rpar;&lowbar;DB2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正在看的db2教程是:DB2 UDB V8.1管理学习笔记(三).强制断开已有连接,停止实例并删除.  $ db2idrop -f instance_name 用于在UNIX下迁移实例. $ db2imigr instance_name 更新实例,用于实例获得一些新的产品选项或修订包的访问权. $ db2iupdt instance_name 获取当前所处的实例. $ db2 get instance 当更新实例级别或数据库级别的参数后,有些可以立即生效,有些需要重新启动实例才可生效.immed			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7evOb.html" rel="bookmark">Paint&period;Net学习笔记&mdash;&mdash;三、窗体（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近1个月没有更新了,不能再懒了,继续更新PDN的学习笔记!本节将说明PDN中窗体的继承关系,实 现过程等. 如上图所示,在PDN中,所有窗体都继承自PdnBaseForm类,该类继承自Form类与ISnapManagerHost接 口,该接口定义了SnapManager的get方法,SnapManager是管理界面窗口&quot;粘靠&quot;效果的,该实现方法之 后文章中讲述. 现在快速地过一下各个窗体的作用及特点. BaseForm: 所有PDN里窗体的基类,主要提供常用窗体方法及注册.卸载热键.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ROOnz.html" rel="bookmark">Promise学习笔记&lpar;三&rpar;：源码core&period;js解析&lpar;上&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				源码阅读阶段 先理解Promise根本吧,想快点理解的话可以直接跳到下个标题.这部分根据理解将持续修改. Promise(fn) function noop() {}  /*  空函数,用于判断传入Promise构造器的函数是否为空函数,如果为空函数构造一个promise对象并初始化状态为pending,终值null,回调状态0和队列null.  */  var LAST_ERROR = null;//记录Promise内部最后的一次错误  var IS_ERROR = {}; //空对象,标识			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL7ZLM.html" rel="bookmark" class="title">查看表空间及文件大小的语句</a>
					<div>
						SELECT d.tablespace_name TS_Name,        d.contents TS_Type,        d.status TS_Status,        d.ext ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWxOqp.html" rel="bookmark" class="title">学习网页制作基础入门教程&lpar;7&rpar;表格标签</a>
					<div>
						教程|入门教程|网页 相关文章: 学习网页制作基础入门教程(1)网页编写 学习网页制作基础入门教程(2)排版标签 学习网页制作基础入门教程(3)字体标签 学习网页制作基础入门教程(4)图象标签 学习网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp89qlz.html" rel="bookmark" class="title">FLASH MX 2004视频教程&colon;时钟屏保&lpar;三&rpar;</a>
					<div>
						教程|视频教程  					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnkXWz.html" rel="bookmark" class="title">Fireworks巧绘水晶葡萄</a>
					<div>
						朋友小乖在网上收集了一些水晶图片,其中有一组水果类的,很是漂亮,她正在学习用Fireworks做图,于是问我怎么用FW来做此类的图片,于是写了下面这篇简单的教程,给她也给大家. 废话不多说了,教程搬上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WDyDb.html" rel="bookmark" class="title">粉粉日记密码忘记了怎么办</a>
					<div>
						  粉粉日记密码忘记了怎么办 找回粉粉账号和密码教程 1.如之前使用QQ号或者新浪微博登录注册粉粉的话,在粉粉的登录界面,点击QQ号(企鹅)和新浪微博(红色)登录按钮,进行登录.账号和密码是QQ号或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP87nAp.html" rel="bookmark" class="title">POJ2965高消&plus;搜索</a>
					<div>
						The Pilots Brothers' refrigerator Time Limit: 1000MS   Memory Limit: 65536K Total Submissions: 12909 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3EAPz.html" rel="bookmark" class="title">理解ORACLE 字符集【转】</a>
					<div>
						一.引言     ORACLE数据库字符集,即Oracle全球化支持(Globalization Support),或即国家语言支持(NLS)其作用是用本国语言和格式来存储.处理和检索数据.利用全球化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPyN0p.html" rel="bookmark" class="title">SqlService过期的解决方案</a>
					<div>
						看图吧,不喜欢说话,图里面我都打备注了 0SQLService异常 1找到安装中心 2升级版本 3监测ing 4输入升级key 5同意并下一步 6下一步 7下一步 8下一步 9收工 10可以打开了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE60j3M.html" rel="bookmark" class="title">新手网站建设上线之后应该做好哪些基础工作</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 众所周知,很多新手采用很多互联网开源程序,几秒钟一个网站就应运而生了,但是网站上线之后,面对很多不利因素,诸如没流量.没排名.没权重这个时候新手往往不知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYoE0p.html" rel="bookmark" class="title">2014秋C&plus;&plus;第19周 项目2参考 猴子选大王</a>
					<div>
						课程主页在http://blog.csdn.net/sxhelijian/article/details/39152703,课程资源在云学堂&quot;贺老师课堂&quot;同步展示,使用的帐号请到课 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKvwRb.html" rel="bookmark" class="title">容易犯的企业站seo误区</a>
					<div>
						随着电商发展趋势的强势来袭,导致中小企业认为电子商务必须要做SEO,就一味的去追求SEO效果,但是很多企业却进入了SEO误区. 企业网站营销如何才能走出seo误区-小明seo 沉溺于SEO带来的最大问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKQQBb.html" rel="bookmark" class="title">关于jsp form表单提交图片的疑问</a>
					<div>
						问题描述 一.用form表单提交带图片的表单,怎样让跳转到action后操作成功失败返回相应提示并不跳转页面二.如果用ajax来操作的话,怎么处理inputtype=&quot;file&quot;这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwwW8M.html" rel="bookmark" class="title">数据同步-java多线程数据库同步问题</a>
					<div>
						问题描述 java多线程数据库同步问题 从一个数据库抽取数据 放到自己数据库里面 中间回走数据处理 和判断 用java代码实现目前找到好的方法 多线程操作效率还是很低 一点思路没有 有这方面大神吗 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRjvrp.html" rel="bookmark" class="title">CKEditor后台生成</a>
					<div>
						问题描述 弄一个邮件页面,里面用到了ckeditor,由于一些原因,整个页面需要在后台生成,所以ckeditor也需要后台生成然后前台显示HTML.如果用&lt;CKEditor:CKEditorCo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJ0DWp.html" rel="bookmark" class="title">jbuilder&plus;weblogic 做成的webservices生成了client&period;jar文件，怎样在jsp中调用它</a>
					<div>
						问题描述 如题,我的webservices是用一个本地实体bean和远程会话bean做成的,已经生成了client.jar文件,如果用一个java类调用它没有问题,但是用jbuilder+tomcat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ5rkp.html" rel="bookmark" class="title">金宝贝万元早教班退费被曝要等3个月</a>
					<div>
						张先生在金宝贝翠微凯德店给孩子花近万元报班,因工作变动需退班,但该店称退费需等3个月.更让他心里没底的是,对方给出的退款申请表竟没有任何公章.在多次和店方交涉后,昨天,该店财务人员称,经咨询总部,可将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvOY4M.html" rel="bookmark" class="title">详解ios中的SQL数据库文件加密 &lpar;使用sqlcipher&rpar;&lowbar;IOS</a>
					<div>
						今天本想写一片 GAE+goAgent+SwitchySharp 的指南的!但是突然翻出了前段时间写的关于iOS中的SQL数据库文件加密的代码,于是乎决定今天就先讲讲这个!- 那么goAgent将放在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNvOxp.html" rel="bookmark" class="title">Python代码解决RenderView窗口not found问题&lowbar;python</a>
					<div>
						源起 Error:setParent: Object 'renderView' not found 这是一个在工作中很常见的问题,以前做特效的时候有10%的概率会碰到,多发生在打开其他组交接来的May ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2kNkz.html" rel="bookmark" class="title">Android 布局文件Layout XML属性&lowbar;Android</a>
					<div>
						Layout对于迅速的搭建界面和提高界面在不同分辨率的屏幕上的适应性具有很大的作用.这里简要介绍Android的Layout和研究 一下它的实现. Android有Layout:FrameLayout ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdm8O3z.html" rel="bookmark" class="title">Android实现完整游戏循环的方法&lowbar;Android</a>
					<div>
						本文实例讲述了Android实现完整游戏循环的方法.分享给大家供大家参考.具体如下: 1. DroidzActivity.java: package net.obviam.droidz; import ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QJ77p.html" rel="bookmark" class="title">为什么DOS下实用jar命令只可以打包当前目录下的&period;class文件？</a>
					<div>
						问题描述 比如我有2个类文件Line.class(主程序类,引用了Point类)和Point.class(位于mypackage包中)分别位于D:JAVA1classes下和D:JAVA1classe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2awqz.html" rel="bookmark" class="title">请教高手&colon;empty&comma;null和&amp;amp&semi;amp&semi;quot&semi;&amp;amp&semi;amp&semi;quot&semi;在性能上的区别&quest;</a>
					<div>
						问题描述 stingstr1=String.Empty;stringstr2=null;stringstr3=&quot;&quot;;我只知道Empty在内存中有指向,不分配存储空间.null只是有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk031Oz.html" rel="bookmark" class="title">可配置工作流插件，求推荐</a>
					<div>
						问题描述 本人开发了工作流模块,但流程不能配置,是固定节点和弧的,目前需要升级.求可配置流程的插件或软件. 解决方案 解决方案二: 解决方案三:get......解决方案四:引用2楼si_info的回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2oK7z.html" rel="bookmark" class="title">activity亮度-activity设置了透明度之后，如何设置activity的亮度</a>
					<div>
						问题描述 activity设置了透明度之后,如何设置activity的亮度 通过一个activity启动另一个activity,设置被启动的activity为半透明,效果图:.我写的效果图:!如果我设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPPk1p.html" rel="bookmark" class="title">IBM Websphere MQ 为什么当消息长度超过4M的时候死活发送不出去？</a>
					<div>
						问题描述 IBMWebsphereMQ中我用java发消息,当消息长度超过4M的时候死活发送不出去,MQ中通道.队列我设置的最大消息长度均为100000000已经很大了,可是程序中实际发送的消息长度超 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4L22b.html" rel="bookmark" class="title">解决js正则匹配换行问题实现代码&lowbar;基础知识</a>
					<div>
						复制代码 代码如下: &lt;div id=&quot;main&quot;&gt; &lt;div id=&quot;left&quot;&gt; &lt;/div&gt; &lt;div id=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmJ9xb.html" rel="bookmark" class="title">关于Windows下安装unoconv的错误！</a>
					<div>
						问题描述 怎么做? 解决方案 解决方案二:stdin找不到,python环境没设置好吧解决方案三:你直接用unoconv-h就行了,不用启动python解决方案四:引用1楼lc316546079的回复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7weQ5z.html" rel="bookmark" class="title">求助贴，想要一个GB2313转汉字的函数，最好是C&num;的</a>
					<div>
						问题描述 谁能给我个函数,能处理出网页源代码上的转成GB2313码的汉字二不处理一些标签 解决方案 解决方案二:用encoding					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0P7aM.html" rel="bookmark" class="title">影星汤姆&bull;汉克斯推出打字机应用Hanx Writer</a>
					<div>
						摘要: 好莱坞影星汤姆汉克斯(其实他的完整身份是演员.制片人.导演兼作家)是一位打字机迷,他甚至在纽约时报上撰文表达自己对这种老式的非数字化打字方式的喜爱.现在他的这种喜 好莱坞影星汤姆•汉克斯(其实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z75xJaM.html" rel="bookmark" class="title">网络空间国际合作战略的大国强音</a>
					<div>
						今年3月1日,我国发布了&lt;网络空间国际合作战略&gt;(以下简称&lt;战略&gt;).&lt;战略&gt;全面阐释我国进行国际网络空间合作的基本原则.战略目标和行动要点,体现了一个负责任大国对 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
